Creates a PERIL_CONVERTER job that updates peril coverage settings in the policies assigned to the specified list of accounts and portfolios.
A PERIL_CONVERTER job updates the location coverage applied to a list of exposures (account and portfolio resources) by converting the existing peril (as defined in the sourcePeril parameter) into another peril or list of perils (as defined in the targetPerils parameter).
This operation accepts four required parameters: the x-rms-resource-group-id header parameter and the resourceUris, resourceTypes, and settings body parameters.
The sourcePeril and targetPeril objects select and update the perils covered by each policy in the request. In each object, perils are identified by the peril, newCauseOfLoss, or CauseOfLoss values. The parameters specified depend on the whether peril coverage is defined in a policy or HD step policy.
Policies and Non-HD Step Policies
If peril coverage of the specified resourceUrls is defined by a policy or step policy, the settings object can identify source and target perils by peril value (for DLM models) or a combination of peril and newCauseOfLoss values (for HD models).
{
"resourceUris": ["/platform/riskdata/v1/exposures/{exposureId}/portfolios/2"],
"resourceTypes": ["portfolios"],
"settings": {
"sourcePeril": {
"peril": 2,
"newCauseOfLoss": 27
},
"targetPerils": [
{
"peril": 4,
"newCauseOfLoss": 28
}
]
}
}
The peril and newCauseOfLoss parameters accept integer values that identify the perils to be updated.
The peril parameter represents an EDM schema field (RMS_EDM.policy.POLICYTYPE). that identifies the perils that impact a policy or step policy regardless of peril model. The peril parameter can be used for both DLM and HD models.
| Value | Code | Description |
|---|---|---|
1 | EQ | Earthquake |
2 | WS | Windstorm/hurricane |
3 | CS/WT | Severe convective storm/winterstorm |
4 | FL | Flood |
5 | FR | Fire |
6 | TR | Terrorism |
7 | WC | Workers compensation/human casualty |
The newCauseOfLoss parameter represents an EDM schema field (RMS_EDM.policy.NEWCAUSEOFLOSS) that identifies the perils that impact a policy or step policy. The newCauseOfLoss parameter can be used for HD models only.
| Value | Code | Description |
|---|---|---|
0 | Default to POLICYTYPE | |
1 | EQ | Earthquake |
2 | WS | Windstorm |
3 | CS | Severe Convective Storm |
4 | FL | Flood |
5 | FR | Fire |
6 | TR | Terrorism |
26 | WI | Wind |
27 | WA | Water |
28 | WI,WA | Wind, Water |
66 | CONV | Conventional |
67 | CBRN | Chemical, Biological, Radiological, Nuclear |
76 | CONV, EQ | Conventional, Earthquake |
77 | CBRN, EQ | CBRN, Earthquake |
78 | TR, EQ | Terrorism, Earthquake |
HD Step Policies
If peril coverage of the specified resourceUrls is defined by a HD step policy, the settings object can identify source and target perils by causeOfLoss values.
{
"resourceUris": ["/platform/riskdata/v1/exposures/{exposureId}/portfolios/2"],
"resourceTypes": ["portfolios"],
"settings": {
"sourcePeril": {
"causeOfLoss": 27
},
"targetPerils": [
{
"causeOfLoss": 28
}
]
}
}
The causeOfLoss parameter represents an EDM schema field (RMS_EDM.hdsteppolicy.CAUSEOFLOSS) that identifies the perils that impact a HD step policy. The CauseOfLoss parameter can be specified for HD models only.
| Value | Code | Description |
|---|---|---|
1 | EQ | Earthquake |
2 | WS | Windstorm |
3 | CS | Severe Convective Storm |
4 | FL | Flood |
5 | FR | Fire |
26 | WI | Wind |
27 | WA | Water |
Optional parameters
Peril conversion can optionally include sub-policy terms, endorsements, policy restrictions and sublimit restrictions.
/platform/perilconverter/v1/jobs createperilconverterjob countryCodesFilter createBackup includePolicyReinsurance includeSubPolicyConditions newCauseOfLoss newCauseOfLoss overwriteExistingCoverage peril peril resourceTypes resourceUris settings sourcePeril targetPerils
